// For format details, see https://aka.ms/devcontainer.json. For config options, see the
// README at: https://github.com/devcontainers/templates/tree/main/src/docker-existing-docker-compose
{
	"name": "xltoolbox.net",
	"dockerComposeFile": [
		"../docker-compose.yml",
		"docker-compose.yml"
	],
	"service": "server",
	"workspaceFolder": "/project",
	"postCreateCommand": "git lfs install",
	"customizations": {
		"vscode": {
			"extensions": [
				"arr.marksman",
				"mjmlio.vscode-mjml",
				"davidanson.vscode-markdownlint",
				"ecmel.vscode-html-css",
				"redhat.vscode-yaml",
				"yzhang.markdown-all-in-one",
				"jsynowiec.vscode-insertdatestring",
				"netcorext.uuid-generator",
				"motivesoft.vscode-uuid-generator",
				"jsynowiec.vscode-insertdatestring"
			]
		}	
	}
}
